package com.ruoyi.orderManagement.BasicData.mapper;


import com.ruoyi.orderManagement.BasicData.domain.FleetCarManage;

import java.util.List;
import java.util.Map;

/**
 * 【车辆】Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface FleetCarManageMapper 
{
    /**
     * 查询【车辆】
     * 
     * @param id 【车辆】ID
     * @return 【车辆】
     */
    public FleetCarManage selectFleetCarManageById(Long id);

    /**
     * 查询【车辆】列表
     * 
     * @param fleetCarManage 【车辆】
     * @return 【车辆】集合
     */
    public List<FleetCarManage> selectFleetCarManageList(FleetCarManage fleetCarManage);

    public List<Map<String, Object>> selectFleetCarManageListMap(FleetCarManage fleetCarManage);

    /**
     * 新增【车辆】
     * 
     * @param fleetCarManage 【车辆】
     * @return 结果
     */
    public int insertFleetCarManage(FleetCarManage fleetCarManage);

    /**
     * 修改【车辆】
     * 
     * @param fleetCarManage 【车辆】
     * @return 结果
     */
    public int updateFleetCarManage(FleetCarManage fleetCarManage);

    /**
     * 删除【车辆】
     * 
     * @param id 【车辆】ID
     * @return 结果
     */
    public int deleteFleetCarManageById(Long id);

    /**
     * 批量删除【车辆】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFleetCarManageByIds(Long[] ids);
}
